Get VVF Certificates

Get VVF Certificates
Get VVF certificates for a service

Get VVF certificates for a service

Request
URI
GET
https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/certificates
COPY
Path Parameters
string
serviceKey
Required

serviceKey for which certificates need to be collected


Authentication
This operation uses the following authentication methods.
Responses
200

List of VVF certificates

Returns VvfCertificates of type(s) application/json
"{\n  \"certificates\" : [ {\n    \"ingressType\" : \"platform\",\n    \"componentFqdns\" : [ \"vcenter.example.com\", \"vcenter-alt.example.com\" ],\n    \"tls\" : {\n      \"certificateChain\" : \"-----BEGIN CERTIFICATE-----\\nMIIDXTCCAkWgAwIBAgIJAKZ...\\n-----END CERTIFICATE-----\",\n      \"certificate\" : \"-----BEGIN CERTIFICATE-----\\nMIIEpAIBAAKCAQEA3Tz2m...\\n-----END CERTIFICATE-----\"\n    }\n  }, {\n    \"ingressType\" : \"component\",\n    \"componentFqdns\" : [ \"esxi-01.example.com\" ],\n    \"tls\" : {\n      \"certificateChain\" : \"-----BEGIN CERTIFICATE-----\\nMIIDYUCCAkmgAwIBAgIKALa...\\n-----END CERTIFICATE-----\",\n      \"certificate\" : \"-----BEGIN CERTIFICATE-----\\nMIIEqBIBAAKCAQEA4Ua3n...\\n-----END CERTIFICATE-----\"\n    }\n  } ]\n}"
array of object
certificates
Optional

List of VVF certificates


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/certificates